Package org.apache.nutch.protocol.httpclient

## Interface HttpAuthentication

- All Known Implementing Classes:
    `HttpBasicAuthentication`

      public interface HttpAuthentication

  The base level of services required for Http Authentication
  Author:
    Matt Tencati
  See Also:
    `HttpAuthenticationFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getCredentials()` | Gets the credentials generated by the HttpAuthentication object.
    `String` | `getRealm()` | Gets the realm used by the HttpAuthentication object during creation.

- - ### Method Detail

    - #### getCredentials

          List<String> getCredentials()

      Gets the credentials generated by the HttpAuthentication object. May return null.
      Returns:
        The credentials value

    - #### getRealm

          String getRealm()

      Gets the realm used by the HttpAuthentication object during creation.
      Returns:
        The realm value